summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortsxv478 <atci39@rambler.ru>2024-06-18 00:32:33 +0300
committertsxv478 <atci39@rambler.ru>2024-06-18 00:32:33 +0300
commit6890e54cb3d4a352fc791a782ca0f908381b116f (patch)
treece213ce29346cbc7ef7d430d4e088f4eff69977a
parentebe296bfe6f1dcc965405316ec69beb6862a9fb5 (diff)
sshmenu script
-rwxr-xr-xsshmenu15
1 files changed, 15 insertions, 0 deletions
diff --git a/sshmenu b/sshmenu
new file mode 100755
index 0000000..4902b10
--- /dev/null
+++ b/sshmenu
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ $DISPLAY ]; then
+ host=$(grep "^Host" $HOME/.ssh/config | cut -d ' ' -f 2 | dmenu -i -c -l 10 -p "SSH to:")
+
+ [ "$host" ] || exit 0
+
+ setsid -f $TERMINAL -e ssh $host -t "tmux new -A"
+else
+ host=$(grep "^Host" $HOME/.ssh/config | cut -d ' ' -f 2 | fzf -e --reverse --prompt "SSH to: ")
+
+ [ "$host" ] || exit 0
+
+ ssh $host -t "tmux new -A"
+fi